Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Messaging_PolicyValueA.cpp File Reference

`#include "Messaging_PolicyValueC.h"`
`#include "tao/Null_RefCount_Policy.h"`
`#include "tao/TypeCode_Constants.h"`
`#include "tao/Alias_TypeCode_Static.h"`
`#include "tao/Sequence_TypeCode_Static.h"`
`#include "tao/String_TypeCode_Static.h"`
`#include "tao/Struct_TypeCode_Static.h"`
`#include "tao/TypeCode_Struct_Field.h"`
`#include "tao/Recursive_Type_TypeCode.h"`
`#include "tao/CDR.h"`
`#include "tao/Any.h"`
`#include "tao/Any_Dual_Impl_T.h"`

Include dependency graph for Messaging_PolicyValueA.cpp:

## Namespaces
namespace | Messaging
namespace | TAO
namespace | TAO::TypeCode
## Functions
void | operator<<= (CORBA::Any &_tao_any, const Messaging::PolicyValue &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, Messaging::PolicyValue *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, Messaging::PolicyValue *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const Messaging::PolicyValue *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const Messaging::PolicyValueSeq &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, Messaging::PolicyValueSeq *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, Messaging::PolicyValueSeq *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const Messaging::PolicyValueSeq *&_tao_elem)
## Variables
TAO::TypeCode::Struct_Field< char const *, CORBA::TypeCode_ptr const * > const | _tao_fields_Messaging_PolicyValue []
TAO::TypeCode::Struct< char const *, CORBA::TypeCode_ptr const *, TAO::TypeCode::Struct_Field< char const *, CORBA::TypeCode_ptr const * > const *, TAO::Null_RefCount_Policy > | _tao_tc_Messaging_PolicyValue (CORBA::tk_struct,"IDL:omg.org/Messaging/PolicyValue:1.0","PolicyValue", _tao_fields_Messaging_PolicyValue, 2)
::CORBA::TypeCode_ptr const | _tc_PolicyValue
TAO::TypeCode::Sequence< ::CORBA::TypeCode_ptr const *, TAO::Null_RefCount_Policy > | Messaging_PolicyValueSeq_0 (CORBA::tk_sequence,&Messaging::_tc_PolicyValue, 0U)
::CORBA::TypeCode_ptr const | tc_Messaging_PolicyValueSeq_0
TAO::TypeCode::Alias< char const *, CORBA::TypeCode_ptr const *, TAO::Null_RefCount_Policy > | _tao_tc_Messaging_PolicyValueSeq (CORBA::tk_alias,"IDL:omg.org/Messaging/PolicyValueSeq:1.0","PolicyValueSeq",&TAO::TypeCode::tc_Messaging_PolicyValueSeq_0)
::CORBA::TypeCode_ptr const | _tc_PolicyValueSeq

## Function Documentation

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | Messaging::PolicyValueSeq * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const Messaging::PolicyValueSeq & | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | Messaging::PolicyValue * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const Messaging::PolicyValue & | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const Messaging::PolicyValueSeq *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | Messaging::PolicyValueSeq *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const Messaging::PolicyValue *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | Messaging::PolicyValue *& | _tao_elem
| ) |

## Variable Documentation

TAO::TypeCode::Struct_Field<char const *, CORBA::TypeCode_ptr const *> const _tao_fields_Messaging_PolicyValue[]`[static]`

| Initial value:
      {
        { "ptype", &CORBA::_tc_PolicyType },
        { "pvalue", &CORBA::_tc_OctetSeq }

      }

TAO::TypeCode::Struct<char const *, CORBA::TypeCode_ptr const *, TAO::TypeCode::Struct_Field<char const *, CORBA::TypeCode_ptr const *> const *, TAO::Null_RefCount_Policy> _tao_tc_Messaging_PolicyValue(CORBA::tk_struct,"IDL:omg.org/Messaging/PolicyValue:1.0","PolicyValue", _tao_fields_Messaging_PolicyValue, 2)`[static]`

TAO::TypeCode::Alias<char const *, CORBA::TypeCode_ptr const *, TAO::Null_RefCount_Policy> _tao_tc_Messaging_PolicyValueSeq(CORBA::tk_alias,"IDL:omg.org/Messaging/PolicyValueSeq:1.0","PolicyValueSeq",&TAO::TypeCode::tc_Messaging_PolicyValueSeq_0)`[static]`

TAO_Export::CORBA::TypeCode_ptr const Messaging::_tc_PolicyValue

| Initial value:
        &_tao_tc_Messaging_PolicyValue

TAO_Export::CORBA::TypeCode_ptr const Messaging::_tc_PolicyValueSeq

| Initial value:
        &_tao_tc_Messaging_PolicyValueSeq

TAO::TypeCode::Sequence< ::CORBA::TypeCode_ptr const *, TAO::Null_RefCount_Policy> TAO::TypeCode::Messaging_PolicyValueSeq_0(CORBA::tk_sequence,&Messaging::_tc_PolicyValue, 0U)

::CORBA::TypeCode_ptr const TAO::TypeCode::tc_Messaging_PolicyValueSeq_0

| Initial value:
          &Messaging_PolicyValueSeq_0